package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag796;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT796Creator;

public class Tag76Creator extends AbsTagCreate {
    private MT796Creator mt796Creator;

    public Tag76Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt796Creator = (MT796Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag76Value = mt796Creator.getAnswers();
        mt796Creator.set("76", tag76Value);
    }
}
